Package es.imim.DISGENET.database

# Class DatabaseManagerImpl

java.lang.Object
es.imim.DISGENET.database.DatabaseManagerImpl

All Implemented Interfaces:
  `DatabaseManager`

public class DatabaseManagerImpl extends Object implements DatabaseManager

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkApiKey()`
`String`
`getApiKey()`
Gets the API key.
`static DatabaseManagerImpl`
`getInstance()`
Singleton implementation of the database class.
`void`
`setApiKey(String apiKey)`
Sets the API key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### setApiKey

public void setApiKey(String apiKey)
Description copied from interface: `DatabaseManager`
Sets the API key.

Specified by:
  `setApiKey` in interface `DatabaseManager`
Parameters:
  `apiKey` - the API key to set

### getApiKey

public String getApiKey()
Description copied from interface: `DatabaseManager`
Gets the API key.

Specified by:
  `getApiKey` in interface `DatabaseManager`
Returns:
  the saved API key

### getInstance

public static DatabaseManagerImpl getInstance()
Singleton implementation of the database class.

Returns:
  an instance of the object.

### checkApiKey

public boolean checkApiKey()